Attribute VB_Name = "WinApi_Dec_Global"
'//----------------------------------------------------------------------
'// Sistema:       n/a
'// Mdulo:        n/a
'// Derechos:      Copyright (c) Hctor Nio Romero
'// Creado:        2000
'// Autor:         Hctor Nio Romero
'// Descripcin:   Procedimentos y constantes de Win 32
'// Dependencias:  Ninguna
'// Mejoras:       Ninguna
'// Notas:         Ninguna
'//----------------------------------------------------------------------
'// Desarrollador:
'// Fecha de cambio:
'// Referencia:
'// Descripcin:
'//----------------------------------------------------------------------
Option Explicit
'//----------------------------------------------------------------------
'// Tipos de datos
'//----------------------------------------------------------------------
Type gyWinApi_SECURITY_ATTRIBUTES
        nLength As Long
        lpSecurityDescriptor As Long
        bInheritHandle As Long
End Type

'//----------------------------------------------------------------------
'// Constantes
'//----------------------------------------------------------------------
Global Const glWINAPI_WW_HWNDPARENT = (-8)         'Obtiene el nombre de la ventana padre
Global Const glWINAPI_GWL_HWNDPARENT = (-8)


'   Archivo de .ini de windows
Global Const gtWINAPI_INIWIN_SECC_WIN = "WINDOWS"
Global Const gtWINAPI_INIWIN_ENTR_DEV = "DEVICE"
Global Const gtWINAPI_INIWIN_ENTR_DEV_DEF = "ERROR"

'   Registro de Windows
Global Const gtWINAPI_KEY_SOFTWARE = "Software"
Global Const glWINAPI_HKEY_CURRENT_USER = &H80000001

Global Const glWINAPI_STANDARD_RIGHTS_ALL = &H1F0000
Global Const glWINAPI_KEY_QUERY_VALUE = &H1
Global Const glWINAPI_KEY_SET_VALUE = &H2
Global Const glWINAPI_KEY_CREATE_SUB_KEY = &H4
Global Const glWINAPI_KEY_ENUMERATE_SUB_KEYS = &H8
Global Const glWINAPI_KEY_NOTIFY = &H10
Global Const glWINAPI_KEY_CREATE_LINK = &H20
Global Const glWINAPI_SYNCHRONIZE = &H100000
Global Const glWINAPI_KEY_ALL_ACCESS = ((glWINAPI_STANDARD_RIGHTS_ALL Or _
                                         glWINAPI_KEY_QUERY_VALUE Or _
                                         glWINAPI_KEY_SET_VALUE Or _
                                         glWINAPI_KEY_CREATE_SUB_KEY Or _
                                         glWINAPI_KEY_ENUMERATE_SUB_KEYS Or _
                                         glWINAPI_KEY_NOTIFY Or _
                                         glWINAPI_KEY_CREATE_LINK) And _
                                        (Not glWINAPI_SYNCHRONIZE))
Global Const glWINAPI_REG_OPTION_NON_VOLATILE = 0
Global Const glWINAPI_REG_BINARY = 3                     ' Binario de formato libre
Global Const glWINAPI_REG_DWORD = 4                      ' Nmero de 32 bits
Global Const glWINAPI_REG_SZ = 1
Global Const glWINAPI_ERROR_SUCCESS = 0&
Global Const glWINAPI_RESERVED = 0&
Global Const glWINAPI_TOKEN_SEP1 = "\"
Global Const glWINAPI_TOKEN_SEP2 = "/"



'//----------------------------------------------------------------------
'// Declaraciones
'//----------------------------------------------------------------------
Declare Function WinApi_GetWindowLong Lib "user32" Alias "GetWindowLongA" (ByVal hwnd As Long, ByVal nIndex As Long) As Long
Declare Function WinApi_GetWindowWord Lib "user32" Alias "GetWindowWord" (ByVal hwnd As Long, ByVal nIndex As Long) As Integer
Declare Function WinApi_GetClassName Lib "user32" Alias "GetClassNameA" (ByVal hwnd As Long, ByVal lpClassName As String, ByVal nMaxCount As Long) As Long
'Declare Function WinApi_GetModuleFileName Lib "kernel32" Alias "GetModuleFileNameA" (ByVal hModule As Long, ByVal lpFileName As String, ByVal nSize As Long) As Long
'Declare Function WinApi_GetModuleHandle Lib "kernel32" Alias "GetModuleHandleA" (ByVal lpModuleName As String) As Long
'Declare Function WinApi_GetCurrentProcessId Lib "kernel32" Alias "GetCurrentProcessId" () As Long
'Declare Function WinApi_GetCurrentProcess Lib "kernel32" Alias "GetCurrentProcess" () As Long
'Declare Function WinApi_GetWindowsDirectory Lib "kernel32" Alias "GetWindowsDirectoryA" (ByVal lpBuffer As String, ByVal nSize As Long) As Long
Declare Function WinApi_GetProfileString Lib "kernel32" Alias "GetProfileStringA" (ByVal lpAppName As String, ByVal lpKeyName As String, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Long) As Long

'   Registro de Windows
Declare Function WinApi_RegCreateKeyEx Lib "advapi32.dll" Alias "RegCreateKeyExA" (ByVal hKey As Long, ByVal lpSubKey As String, ByVal Reserved As Long, ByVal lpClass As String, ByVal dwOptions As Long, ByVal samDesired As Long, lpSecurityAttributes As gyWinApi_SECURITY_ATTRIBUTES, phkResult As Long, lpdwDisposition As Long) As Long
Declare Function WinApi_RegDeleteKey Lib "advapi32.dll" Alias "RegDeleteKeyA" (ByVal hKey As Long, ByVal lpSubKey As String) As Long
Declare Function WinApi_RegOpenKeyEx Lib "advapi32.dll" Alias "RegOpenKeyExA" (ByVal hKey As Long, ByVal lpSubKey As String, ByVal ulOptions As Long, ByVal samDesired As Long, phkResult As Long) As Long
Declare Function WinApi_RegCloseKey Lib "advapi32.dll" Alias "RegCloseKey" (ByVal hKey As Long) As Long
Declare Function WinApi_RegQueryValueEx Lib "advapi32.dll" Alias "RegQueryValueExA" (ByVal hKey As Long, ByVal lpValueName As String, ByVal lpReserved As Long, lpType As Long, lpData As Any, lpcbData As Long) As Long
' Note that if you declare the lpData parameter as String, you must pass it By Value.
Declare Function WinApi_RegSetValueEx Lib "advapi32.dll" Alias "RegSetValueExA" (ByVal hKey As Long, ByVal lpValueName As String, ByVal Reserved As Long, ByVal dwType As Long, lpData As Any, ByVal cbData As Long) As Long
Declare Function WinApi_RegDeleteValue Lib "advapi32.dll" Alias "RegDeleteValueA" (ByVal hKey As Long, ByVal lpValueName As String) As Long

Declare Function WinApi_GetComputerName Lib "kernel32" Alias "GetComputerNameA" (ByVal lpBuffer As String, nSize As Long) As Long


